"""quiz URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, re_path
#from django.conf.urls import url, include
from quiz import views

app_name = 'quiz'

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.home, name="home"),
    #url('', include('registration.urls', namespace="registration")),
    path('start', views.start, name="start"),
    path('test_start', views.test_start, name="test_start"),
    path('next_ques', views.next_ques, name="next_ques"),
    path('submit', views.submit, name="submit"),
    path('skip', views.skip_ques, name="skip"),
    re_path(r'^results(?:pwd=0x(?P<pwd>[\w]+)/)?$', views.result),
]

handler404 = 'quiz.views.handler404'
handler500 = 'quiz.views.handler500'
